require("dotenv").config({ path: ".deploy.env" });

const s3FolderUpload = require("s3-folder-upload");

const directoryName = "build";
const credentials = {
  accessKeyId: process.env.AWS_ACCESS_KEY,
  secretAccessKey: process.env.AWS_SECRET_KEY,
  region: process.env.AWS_REGION,
  bucket: process.env.S3_BUCKET_NAME,
};

const invalidation = {
  awsDistributionId: process.env.CLOUDFRONT_DISTRIBUTION_ID,
  awsInvalidationPath: "/*",
};

const settings = {
  useFoldersForFileTypes: false,
  useIAMRoleCredentials: false,
  ACL: "private",
};

async function deploy() {
  try {
    console.log("Uploading files to S3...");
    s3FolderUpload(directoryName, credentials, settings, invalidation);
    console.log("Deployment complete!");
  } catch (error) {
    console.error("An error occurred during deployment:", error);
  }
}

deploy();
