import { Input } from "@chakra-ui/react";
import React from "react";

export default function CustomInput({
  name,
  placeholder,
  value,
  onChange,
  error,
}) {
  return (
    <div className="flex flex-col gap-2">
      <Input
        size="md"
        rounded="full"
        _focus={{ boxShadow: "none" }}
        name={name}
        value={value}
        onChange={onChange}
        placeholder={placeholder}
      />
      {error && <span className="text-red-500 text-xs">{error}</span>}
    </div>
  );
}
