import { useQuery } from "react-query";
import { orderController } from "../../controllers/order-controller";
import { QUERY_KEYS } from "../../constants/queryKeys";

export default function useOrder(orderId) {
  const { GET_ORDER } = QUERY_KEYS;
  const getOrder = async (page, size) => {
    const orderResponse = await orderController.getOrder(page, size);
    return orderResponse.data;
  };

  const order = useQuery([GET_ORDER, orderId], () => getOrder(orderId), {
    keepPreviousData: true,
    staleTime: 50000,
    refetchOnWindowFocus: false,
    enabled: Boolean(orderId),
  });

  return order;
}
